### Method

# Snapd Task get_data

since: 1.66

#### Declaration [src]

    SnapdTaskData*
    snapd_task_get_data (
      SnapdTask* task
    )

#### Description [src]

Get the extra data associated with the progress.

Available since: 1.66

Gets property | `Snapd.Task:data`

#### Return value

Type: `SnapdTaskData`

A `SnapdTaskData` or NULL.

The returned data is owned by the instance.
The return value can be `NULL`.